Table of Contents

## Name

glCopyColorSubTable - respecify a portion of a color table

## C Specification

void glCopyColorSubTable( GLenum target,

        GLsizei start,
        GLint x,
        GLint y,
        GLsizei width )

## Parameters

target
  Must be one of GL_COLOR_TABLE, GL_POST_CONVOLUTION_COLOR_TABLE, or GL_POST_COLOR_MATRIX_COLOR_TABLE.
start
  The starting index of the portion of the color table to be replaced.
x, y
  The window coordinates of the left corner of the row of pixels to be copied.
width
  The number of table entries to replace.

## Description

glCopyColorSubTable is used to respecify a contiguous portion of a color table previously defined using glColorTable. The pixels copied from the framebuffer replace the portion of the existing table from indices start to $"start"~+~"x"~-~1$, inclusive. This region may not include any entries outside the range of the color table, as was originally specified. It is not an error to specify a subtexture with width of 0, but such a specification has no effect.

## Notes

glCopyColorSubTable is present only if GL_ARB_imaging is returned when glGetString is called with an argument of GL_EXTENSIONS.

## Errors

GL_INVALID_VALUE is generated if target is not a previously defined color table.

GL_INVALID_VALUE is generated if target is not one of the allowable values.

GL_INVALID_VALUE is generated if $"start"~+~"x"~>~width$.

GL_INVALID_OPERATION is generated if glCopyColorSubTable is executed between the execution of glBegin and the corresponding execution of glEnd.

## Associated Gets

glGetColorTable, glGetColorTableParameter

## See Also

glColorSubTable(3G) , glColorTableParameter(3G) , glCopyColorTable(3G) , glCopyColorSubTable(3G) , glGetColorTable(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Notes
- Errors
- Associated Gets
- See Also